openapi: 3.0.0
info:
  title: Markets
  version: 1.0.0
servers:
  - url: https://{{server}}
tags:
  - name: Gestion des ventes
  - name: Gestion des ventes > Invites
  - name: Gestion des ventes > Orders
  - name: Accees temporaire
  - name: Session de scan
  - name: Listes d'adhesion
  - name: Listes d'adhesion > Emails in memberships
  - name: Moyen de paiement
paths:
  /api/market/comedmus/sales/comedmus-interferences/invite/inv-65637256e7a64:
    delete:
      tags:
        - Gestion des ventes > Invites
      summary: Delete invite
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /api/market/{slug}/sales/{sale-slug}/invite:
    post:
      tags:
        - Gestion des ventes > Invites
      summary: Invite
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                - email: tom.jumel@etu.utc.fr
                  silent: false
                  items:
                    - quantity: 2
                      group: 1
                    - quantity: 3
                      group: 2
                - email: other.com@utc.fr
                  silent: true
                  first_name: Other
                  last_name: Other com
                  items:
                    - quantity: 2
                      group: 2
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: sven-mills
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: consequatur-facilis-aut-veritatis-sed
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /api/market/{slug}/sales/{sale-slug}/orders:
    get:
      tags:
        - Gestion des ventes > Orders
      summary: Sale orders
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: nasa
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: nasa-edition-2023
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:37:29 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14999'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                - id: 1
                  slug: order-653ed07f17b76
                  status: completed
                  created_at: '2023-10-29T21:37:03.000000Z'
                  updated_at: '2023-11-11T18:45:20.000000Z'
                  deleted_at: null
                  amount: 27255
                  user:
                    first_name: Tom
                    last_name: JUMEL
                    email: tom.jumel@gmail.com
                - id: 2
                  slug: order-654784a04856e
                  status: completed
                  created_at: '2023-11-05T12:03:44.000000Z'
                  updated_at: '2023-11-05T13:56:02.000000Z'
                  deleted_at: null
                  amount: 18170
                  user:
                    first_name: Tom
                    last_name: JUMEL
                    email: tom.jumel@gmail.com
                - id: 3
                  slug: order-6547a1344d178
                  status: completed
                  created_at: '2023-11-05T14:05:40.000000Z'
                  updated_at: '2023-11-11T18:33:00.000000Z'
                  deleted_at: null
                  amount: 18170
                  user:
                    first_name: Tom
                    last_name: JUMEL
                    email: tom.jumel@gmail.com
                - id: 28
                  slug: shotgun-6551ee0b32149
                  status: completed
                  created_at: '2023-11-13T09:36:11.000000Z'
                  updated_at: '2023-11-13T09:36:11.000000Z'
                  deleted_at: null
                  amount: 0
                  user:
                    first_name: Tom
                    last_name: Jumel
                    email: tom.jumel@etu.utc.fr
  /api/market/{slug}/sales/{sale-slug}/orders/search:
    get:
      tags:
        - Gestion des ventes > Orders
      summary: Orders search email
      parameters:
        - name: by
          in: query
          schema:
            type: string
          example: email
        - name: q
          in: query
          schema:
            type: string
          example: tom.jumel
        - name: cached
          in: query
          schema:
            type: integer
          example: '0'
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: comedmus
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: comedmus-interferences
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /api/market/{slug}/orders/{order}/resend:
    post:
      tags:
        - Gestion des ventes > Orders
      summary: Send new confirmation email
      requestBody:
        content: {}
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: nasa
        - name: order
          in: path
          schema:
            type: string
          required: true
          example: order-6581da2131148
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: string
                example: nginx
            Date:
              schema:
                type: string
                example: Sat, 23 Dec 2023 13:32:26 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Connection:
              schema:
                type: string
                example: keep-alive
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Cache-Control:
              schema:
                type: string
                example: private, must-revalidate
            pragma:
              schema:
                type: string
                example: no-cache
            expires:
              schema:
                type: number
                example: '-1'
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14995'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                message: Email sent
  /api/market/{slug}/orders/{order}/refresh:
    post:
      tags:
        - Gestion des ventes > Orders
      summary: Force payment to be rechecked by service
      requestBody:
        content: {}
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: nasa
        - name: order
          in: path
          schema:
            type: string
          required: true
          example: order-6581dbfdf197f
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: string
                example: nginx
            Date:
              schema:
                type: string
                example: Sat, 23 Dec 2023 13:32:26 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Connection:
              schema:
                type: string
                example: keep-alive
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Cache-Control:
              schema:
                type: string
                example: private, must-revalidate
            pragma:
              schema:
                type: string
                example: no-cache
            expires:
              schema:
                type: number
                example: '-1'
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14995'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                message: Email sent
  /api/market/{slug}/orders/{order}/refund:
    post:
      tags:
        - Gestion des ventes > Orders
      summary: Refund payment
      requestBody:
        content: {}
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: picasso
        - name: order
          in: path
          schema:
            type: string
          required: true
          example: order-661d2b04ee011
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: string
                example: nginx
            Date:
              schema:
                type: string
                example: Sat, 23 Dec 2023 13:32:26 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Connection:
              schema:
                type: string
                example: keep-alive
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Cache-Control:
              schema:
                type: string
                example: private, must-revalidate
            pragma:
              schema:
                type: string
                example: no-cache
            expires:
              schema:
                type: number
                example: '-1'
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14995'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                message: Email sent
  /api/market/{slug}/sales:
    post:
      tags:
        - Gestion des ventes > Sale editing
      summary: Create sale
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: Souvenir du Gala P24
                allowed_methods:
                  - 1
                targets:
                  - ''
                short_description: Repars avec un magnifique souvenir du Gala !
                description: Repars avec un magnifique souvenir du Gala !\n
                images:
                  - https://via.placeholder.com/640x480.png/00dd77?text=atque
                categories:
                  - pae
                  - event
                visibility:
                  start: 2024-05-10 12:00
                  end: 2024-05-26 17:00
                open:
                  start: 2024-05-10 12:00
                  end: 2024-05-26 17:00
                groups:
                  - name: Sérigraphie
                    items:
                      - name: Récupération avant Gala
                        price: 500
                        targets:
                          - all
                        limits:
                          min: 15
                          per_user: 2
                          per_order: 2
                      - name: Récupération après Gala
                        price: 500
                        targets:
                          - all
                        limits:
                          min: 30
                          per_user: 2
                          per_order: 2
                  - name: Affiche
                    items:
                      - name: Une belle affiche
                        price: 250
                        targets:
                          - all
                        limits:
                          min: 50
                          per_user: 2
                          per_order: 2
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: galaking
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:43:55 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14997'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                - id: 1
                  type: timed
                  slug: blanditiis-qui-in-in
                  name: Sanford Feeney
                  short_description: Quas optio aut odio.
                  description: >-
                    Repudiandae et recusandae libero est sint illo quaerat. Ut
                    eos saepe deserunt non enim. Incidunt non est commodi
                    consequatur. Unde possimus vero voluptatem corporis amet
                    voluptatibus doloremque.
                  images:
                    - https://via.placeholder.com/640x480.png/00dd77?text=atque
                    - >-
                      https://via.placeholder.com/640x480.png/0099ff?text=dolorum
                    - https://via.placeholder.com/640x480.png/0099ee?text=est
                  tags:
                    - et
                    - quae
                    - explicabo
                  categories:
                    - voluptas
                    - ut
                    - voluptatem
                  cgv_url: null
                  visible:
                    start: '2023-10-19T21:30:26.000000Z'
                    end: '2023-12-16T21:30:26.000000Z'
                  opened:
                    start: '2023-10-19T21:30:26.000000Z'
                    end: '2023-12-16T21:30:26.000000Z'
                - id: 56
                  type: concurrent
                  slug: quaerat-neque-incidunt-esse-quibusdam
                  name: Kenton Kulas
                  short_description: Occaecati dicta voluptas adipisci accusantium.
                  description: >-
                    Quo possimus adipisci praesentium provident. Maxime itaque
                    consequuntur aut perspiciatis eligendi dignissimos. Et sed
                    enim in.
                  images:
                    - >-
                      https://via.placeholder.com/640x480.png/00ffdd?text=molestiae
                    - >-
                      https://via.placeholder.com/640x480.png/006644?text=temporibus
                    - https://via.placeholder.com/640x480.png/0022aa?text=illo
                  tags:
                    - labore
                    - consequatur
                    - quis
                  categories:
                    - ipsa
                    - a
                    - quis
                  cgv_url: >-
                    http://www.boyle.com/voluptas-id-quam-beatae-laborum-veritatis-atque
                  visible:
                    start: '2023-10-29T21:30:26.000000Z'
                    end: '2023-12-01T21:30:26.000000Z'
                  opened:
                    start: '2023-10-29T21:30:26.000000Z'
                    end: '2023-12-01T21:30:26.000000Z'
                - id: 100
                  type: stacked
                  slug: aut-possimus-temporibus
                  name: William Grant
                  short_description: Natus qui sed corporis beatae in molestias ut.
                  description: >-
                    Voluptatibus rerum officiis repudiandae et maxime quia.
                    Omnis ut repellendus qui impedit quam ratione nostrum. Sit
                    sit ea soluta facere quia. Similique officiis eos officia
                    enim.
                  images:
                    - >-
                      https://via.placeholder.com/640x480.png/00aa88?text=voluptas
                    - https://via.placeholder.com/640x480.png/004411?text=nihil
                    - >-
                      https://via.placeholder.com/640x480.png/00aa99?text=tempora
                  tags:
                    - ea
                    - harum
                    - reprehenderit
                  categories:
                    - omnis
                    - autem
                    - laborum
                  cgv_url: null
                  visible:
                    start: '2023-10-23T21:30:26.000000Z'
                    end: '2023-11-28T21:30:26.000000Z'
                  opened:
                    start: '2023-10-23T21:30:26.000000Z'
                    end: '2023-11-28T21:30:26.000000Z'
    get:
      tags:
        - Gestion des ventes
      summary: Sales
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: nasa
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:43:55 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14997'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                - id: 1
                  type: timed
                  slug: blanditiis-qui-in-in
                  name: Sanford Feeney
                  short_description: Quas optio aut odio.
                  description: >-
                    Repudiandae et recusandae libero est sint illo quaerat. Ut
                    eos saepe deserunt non enim. Incidunt non est commodi
                    consequatur. Unde possimus vero voluptatem corporis amet
                    voluptatibus doloremque.
                  images:
                    - https://via.placeholder.com/640x480.png/00dd77?text=atque
                    - >-
                      https://via.placeholder.com/640x480.png/0099ff?text=dolorum
                    - https://via.placeholder.com/640x480.png/0099ee?text=est
                  tags:
                    - et
                    - quae
                    - explicabo
                  categories:
                    - voluptas
                    - ut
                    - voluptatem
                  cgv_url: null
                  visible:
                    start: '2023-10-19T21:30:26.000000Z'
                    end: '2023-12-16T21:30:26.000000Z'
                  opened:
                    start: '2023-10-19T21:30:26.000000Z'
                    end: '2023-12-16T21:30:26.000000Z'
                - id: 56
                  type: concurrent
                  slug: quaerat-neque-incidunt-esse-quibusdam
                  name: Kenton Kulas
                  short_description: Occaecati dicta voluptas adipisci accusantium.
                  description: >-
                    Quo possimus adipisci praesentium provident. Maxime itaque
                    consequuntur aut perspiciatis eligendi dignissimos. Et sed
                    enim in.
                  images:
                    - >-
                      https://via.placeholder.com/640x480.png/00ffdd?text=molestiae
                    - >-
                      https://via.placeholder.com/640x480.png/006644?text=temporibus
                    - https://via.placeholder.com/640x480.png/0022aa?text=illo
                  tags:
                    - labore
                    - consequatur
                    - quis
                  categories:
                    - ipsa
                    - a
                    - quis
                  cgv_url: >-
                    http://www.boyle.com/voluptas-id-quam-beatae-laborum-veritatis-atque
                  visible:
                    start: '2023-10-29T21:30:26.000000Z'
                    end: '2023-12-01T21:30:26.000000Z'
                  opened:
                    start: '2023-10-29T21:30:26.000000Z'
                    end: '2023-12-01T21:30:26.000000Z'
                - id: 100
                  type: stacked
                  slug: aut-possimus-temporibus
                  name: William Grant
                  short_description: Natus qui sed corporis beatae in molestias ut.
                  description: >-
                    Voluptatibus rerum officiis repudiandae et maxime quia.
                    Omnis ut repellendus qui impedit quam ratione nostrum. Sit
                    sit ea soluta facere quia. Similique officiis eos officia
                    enim.
                  images:
                    - >-
                      https://via.placeholder.com/640x480.png/00aa88?text=voluptas
                    - https://via.placeholder.com/640x480.png/004411?text=nihil
                    - >-
                      https://via.placeholder.com/640x480.png/00aa99?text=tempora
                  tags:
                    - ea
                    - harum
                    - reprehenderit
                  categories:
                    - omnis
                    - autem
                    - laborum
                  cgv_url: null
                  visible:
                    start: '2023-10-23T21:30:26.000000Z'
                    end: '2023-11-28T21:30:26.000000Z'
                  opened:
                    start: '2023-10-23T21:30:26.000000Z'
                    end: '2023-11-28T21:30:26.000000Z'
  /api/market/{slug}/sales/{sale-slug}/unsync-providers:
    post:
      tags:
        - Gestion des ventes > Sale editing
      summary: UnSync providers
      requestBody:
        content: {}
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: nasa
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: nasa-edition-2023
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:43:43 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                id: 1
                type: timed
                slug: blanditiis-qui-in-in
                name: Sanford Feeney
                short_description: Quas optio aut odio.
                description: >-
                  Repudiandae et recusandae libero est sint illo quaerat. Ut eos
                  saepe deserunt non enim. Incidunt non est commodi consequatur.
                  Unde possimus vero voluptatem corporis amet voluptatibus
                  doloremque.
                images:
                  - https://via.placeholder.com/640x480.png/00dd77?text=atque
                  - https://via.placeholder.com/640x480.png/0099ff?text=dolorum
                  - https://via.placeholder.com/640x480.png/0099ee?text=est
                tags:
                  - et
                  - quae
                  - explicabo
                categories:
                  - voluptas
                  - ut
                  - voluptatem
                cgv_url: null
                visible:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
                opened:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
  /api/market/{slug}/sales/{sale-slug}/archive:
    post:
      tags:
        - Gestion des ventes > Sale editing
      summary: Archive sale
      requestBody:
        content: {}
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: jordi-nitzsche
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: blanditiis-qui-in-in
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:43:43 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                id: 1
                type: timed
                slug: blanditiis-qui-in-in
                name: Sanford Feeney
                short_description: Quas optio aut odio.
                description: >-
                  Repudiandae et recusandae libero est sint illo quaerat. Ut eos
                  saepe deserunt non enim. Incidunt non est commodi consequatur.
                  Unde possimus vero voluptatem corporis amet voluptatibus
                  doloremque.
                images:
                  - https://via.placeholder.com/640x480.png/00dd77?text=atque
                  - https://via.placeholder.com/640x480.png/0099ff?text=dolorum
                  - https://via.placeholder.com/640x480.png/0099ee?text=est
                tags:
                  - et
                  - quae
                  - explicabo
                categories:
                  - voluptas
                  - ut
                  - voluptatem
                cgv_url: null
                visible:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
                opened:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
  /api/market/{slug}/sales/{sale-slug}/restore:
    post:
      tags:
        - Gestion des ventes > Sale editing
      summary: restore sale
      requestBody:
        content: {}
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:43:43 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                id: 1
                type: timed
                slug: blanditiis-qui-in-in
                name: Sanford Feeney
                short_description: Quas optio aut odio.
                description: >-
                  Repudiandae et recusandae libero est sint illo quaerat. Ut eos
                  saepe deserunt non enim. Incidunt non est commodi consequatur.
                  Unde possimus vero voluptatem corporis amet voluptatibus
                  doloremque.
                images:
                  - https://via.placeholder.com/640x480.png/00dd77?text=atque
                  - https://via.placeholder.com/640x480.png/0099ff?text=dolorum
                  - https://via.placeholder.com/640x480.png/0099ee?text=est
                tags:
                  - et
                  - quae
                  - explicabo
                categories:
                  - voluptas
                  - ut
                  - voluptatem
                cgv_url: null
                visible:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
                opened:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
  /api/market/{slug}/sales/{sale-slug}:
    delete:
      tags:
        - Gestion des ventes > Sale editing
      summary: Delete sale
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: nasa
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: nasa-edition-2023
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:43:43 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                id: 1
                type: timed
                slug: blanditiis-qui-in-in
                name: Sanford Feeney
                short_description: Quas optio aut odio.
                description: >-
                  Repudiandae et recusandae libero est sint illo quaerat. Ut eos
                  saepe deserunt non enim. Incidunt non est commodi consequatur.
                  Unde possimus vero voluptatem corporis amet voluptatibus
                  doloremque.
                images:
                  - https://via.placeholder.com/640x480.png/00dd77?text=atque
                  - https://via.placeholder.com/640x480.png/0099ff?text=dolorum
                  - https://via.placeholder.com/640x480.png/0099ee?text=est
                tags:
                  - et
                  - quae
                  - explicabo
                categories:
                  - voluptas
                  - ut
                  - voluptatem
                cgv_url: null
                visible:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
                opened:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
    get:
      tags:
        - Gestion des ventes
      summary: Sale
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: simde
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: simde-dsqds
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:43:43 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                id: 1
                type: timed
                slug: blanditiis-qui-in-in
                name: Sanford Feeney
                short_description: Quas optio aut odio.
                description: >-
                  Repudiandae et recusandae libero est sint illo quaerat. Ut eos
                  saepe deserunt non enim. Incidunt non est commodi consequatur.
                  Unde possimus vero voluptatem corporis amet voluptatibus
                  doloremque.
                images:
                  - https://via.placeholder.com/640x480.png/00dd77?text=atque
                  - https://via.placeholder.com/640x480.png/0099ff?text=dolorum
                  - https://via.placeholder.com/640x480.png/0099ee?text=est
                tags:
                  - et
                  - quae
                  - explicabo
                categories:
                  - voluptas
                  - ut
                  - voluptatem
                cgv_url: null
                visible:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
                opened:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
  /api/market/{slug}/sales/{sale-slug}/sync-providers:
    post:
      tags:
        - Gestion des ventes > Sale editing
      summary: Sync providers
      requestBody:
        content: {}
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: simde
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: text-options
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:43:43 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                id: 1
                type: timed
                slug: blanditiis-qui-in-in
                name: Sanford Feeney
                short_description: Quas optio aut odio.
                description: >-
                  Repudiandae et recusandae libero est sint illo quaerat. Ut eos
                  saepe deserunt non enim. Incidunt non est commodi consequatur.
                  Unde possimus vero voluptatem corporis amet voluptatibus
                  doloremque.
                images:
                  - https://via.placeholder.com/640x480.png/00dd77?text=atque
                  - https://via.placeholder.com/640x480.png/0099ff?text=dolorum
                  - https://via.placeholder.com/640x480.png/0099ee?text=est
                tags:
                  - et
                  - quae
                  - explicabo
                categories:
                  - voluptas
                  - ut
                  - voluptatem
                cgv_url: null
                visible:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
                opened:
                  start: '2023-10-19T21:30:26.000000Z'
                  end: '2023-12-16T21:30:26.000000Z'
  /api/market/{slug}/sales/{sale-slug}/images:
    post:
      tags:
        - Gestion des ventes > Sale editing
      summary: Add image
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                image:
                  type: string
                  format: binary
                banner:
                  type: integer
                  example: '1'
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: '{{market}}'
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: '{{sale_slug}}'
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.3.6
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Date:
              schema:
                type: string
                example: Sun, 16 Jun 2024 16:22:58 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14999'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                url: http://localhost:8000/api/bucket/images/images-6666f116164dec
    delete:
      tags:
        - Gestion des ventes > Sale editing
      summary: Add image Copy
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: '{{market}}'
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: '{{sale_slug}}'
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.3.6
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Date:
              schema:
                type: string
                example: Sun, 16 Jun 2024 16:22:58 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14999'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                url: http://localhost:8000/api/bucket/images/images-6666f116164dec
  /api/market/{slug}/sales/{sale-slug}/stats:
    get:
      tags:
        - Gestion des ventes
      summary: Sale stats
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: jordi-nitzsche
        - name: sale-slug
          in: path
          schema:
            type: string
          required: true
          example: blanditiis-qui-in-in
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:43:09 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14999'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                stats:
                  - name: Le 9 décembre 20h
                    bought: 8
                    max: 8
                    items:
                      - name: Place Cotisant.e
                        bought: 8
                        max: 8
                      - name: Yvonne Stehr
                        bought: 0
                        max: null
                      - name: Rex Kreiger
                        bought: 0
                        max: null
                  - name: Adrian Kirlin II
                    bought: 0
                    max: 1933
                    items:
                      - name: Prof. Jimmie Borer
                        bought: 0
                        max: null
                      - name: Peggie Reichert
                        bought: 0
                        max: null
                      - name: Jules Beahan
                        bought: 0
                        max: null
                      - name: Raheem Keeling
                        bought: 0
                        max: null
                      - name: Dr. Edison Borer II
                        bought: 0
                        max: null
                      - name: Ernesto Bins III
                        bought: 0
                        max: null
                      - name: Myrtie Kuvalis II
                        bought: 0
                        max: null
                      - name: Dr. Kristy Runolfsdottir
                        bought: 0
                        max: null
                  - name: Kaela Murazik
                    bought: 0
                    max: 1873
                    items:
                      - name: Mr. Camron Nader
                        bought: 0
                        max: null
                      - name: Esteban Bosco
                        bought: 0
                        max: null
                      - name: Renee Doyle DVM
                        bought: 0
                        max: null
                      - name: Lenna Champlin
                        bought: 0
                        max: null
                      - name: Mr. Dante Pfeffer
                        bought: 0
                        max: null
                      - name: Cedrick Haag PhD
                        bought: 0
                        max: null
                      - name: Olaf Kreiger
                        bought: 0
                        max: null
                      - name: Eloisa Wyman
                        bought: 0
                        max: null
                  - name: Dr. Renee Macejkovic PhD
                    bought: 0
                    max: 2882
                    items:
                      - name: Angie Kunze
                        bought: 0
                        max: null
                      - name: Laverna D'Amore
                        bought: 0
                        max: null
                  - name: Elijah Dibbert
                    bought: 0
                    max: 2832
                    items:
                      - name: Madge Prohaska
                        bought: 0
                        max: null
                      - name: Abdiel Bailey
                        bought: 0
                        max: null
                      - name: Ted Turner
                        bought: 0
                        max: null
                      - name: Fiona Marvin
                        bought: 0
                        max: null
                      - name: Dallas Carroll
                        bought: 0
                        max: null
                      - name: Alize Boehm
                        bought: 0
                        max: null
                      - name: Dr. Abdullah Spencer I
                        bought: 0
                        max: null
                      - name: Joelle Stokes
                        bought: 0
                        max: null
                overview:
                  totalItems: 8
                  totalPrice: 63595
  /api/market/{asso}/access:
    get:
      tags:
        - Accees temporaire
      summary: Access
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: comedmus
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /api/market/{asso}/access/{id}:
    delete:
      tags:
        - Accees temporaire
      summary: Delete access
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: comedmus
        - name: id
          in: path
          schema:
            type: integer
          required: true
          example: '2'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /api/market/{asso}/scan-sessions:
    get:
      tags:
        - Session de scan
      summary: List scan sessions
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: nasa
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Fri, 12 Jan 2024 16:12:07 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                - id: 1
                  sale_id: 10
                  multiple: true
                  hook_url: null
                  hook_transformer: null
                  state: open
                  metadata: []
                  created_at: '2024-01-12T16:11:16.000000Z'
                  updated_at: '2024-01-12T16:11:16.000000Z'
                  sale:
                    id: 10
                    type: concurrent
                    slug: nasa-edition-2023
                    name: La NASA 2023 !
                    short_description: >-
                      Viens prendre ton ticket pour embarquer avec nous dans une
                      soirée aussi fun que démentielle 🤪
                    description: >-
                      La NASA c'est plus qu'une simple soirée : c'est la
                      dernière soirée du semestre, et l'occasion de fêter ces
                      finaux comme il se doit (fêter ou pleurer, on juge pas
                      ici), de dire au revoir à tes potes ou encore simplement
                      d'embarquer pour une soirée pleine de sensations (au moins
                      autant que dans une fête foraine c'est promis). Alors
                      appelles tes potes, prenez vos tickets et commencez le
                      décompte avant le 12 janvier 2024 (plus que 25 jours [même
                      moins maintenant 👀]) parce que cette NASA s'annonce
                      inoubliable 🎡
                    images:
                      - https://assos.utc.fr/nasa/_woosh/bg.png
                      - https://assos.utc.fr/nasa/_woosh/bg.png
                    tags:
                      - all
                    categories:
                      - soirée
                    cgv_url: null
                    visible:
                      start: '2023-12-19T14:00:00.000000Z'
                      end: '2024-01-15T23:59:00.000000Z'
                    opened:
                      start: '2023-12-19T18:00:00.000000Z'
                      end: '2024-01-15T23:59:00.000000Z'
    post:
      tags:
        - Session de scan
      summary: Create scan session
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                sale_id: 6
                name: Porte A-1
                multiple: true
                hook_url: null
                hook_transformer: null
                state: open
                metadata:
                  items: []
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: oenologie
      responses:
        '201':
          description: Created
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Fri, 12 Jan 2024 16:11:16 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14999'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                sale_id: 10
                multiple: true
                hook_url: null
                hook_transformer: null
                state: open
                metadata: []
                updated_at: '2024-01-12T16:11:16.000000Z'
                created_at: '2024-01-12T16:11:16.000000Z'
                id: 1
  /api/market/{asso}/scan-sessions/{id}:
    get:
      tags:
        - Session de scan
      summary: Get session
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: lavoieduhoublon
        - name: id
          in: path
          schema:
            type: integer
          required: true
          example: '40'
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Fri, 12 Jan 2024 16:12:07 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                - id: 1
                  sale_id: 10
                  multiple: true
                  hook_url: null
                  hook_transformer: null
                  state: open
                  metadata: []
                  created_at: '2024-01-12T16:11:16.000000Z'
                  updated_at: '2024-01-12T16:11:16.000000Z'
                  sale:
                    id: 10
                    type: concurrent
                    slug: nasa-edition-2023
                    name: La NASA 2023 !
                    short_description: >-
                      Viens prendre ton ticket pour embarquer avec nous dans une
                      soirée aussi fun que démentielle 🤪
                    description: >-
                      La NASA c'est plus qu'une simple soirée : c'est la
                      dernière soirée du semestre, et l'occasion de fêter ces
                      finaux comme il se doit (fêter ou pleurer, on juge pas
                      ici), de dire au revoir à tes potes ou encore simplement
                      d'embarquer pour une soirée pleine de sensations (au moins
                      autant que dans une fête foraine c'est promis). Alors
                      appelles tes potes, prenez vos tickets et commencez le
                      décompte avant le 12 janvier 2024 (plus que 25 jours [même
                      moins maintenant 👀]) parce que cette NASA s'annonce
                      inoubliable 🎡
                    images:
                      - https://assos.utc.fr/nasa/_woosh/bg.png
                      - https://assos.utc.fr/nasa/_woosh/bg.png
                    tags:
                      - all
                    categories:
                      - soirée
                    cgv_url: null
                    visible:
                      start: '2023-12-19T14:00:00.000000Z'
                      end: '2024-01-15T23:59:00.000000Z'
                    opened:
                      start: '2023-12-19T18:00:00.000000Z'
                      end: '2024-01-15T23:59:00.000000Z'
    patch:
      tags:
        - Session de scan
      summary: Patch scan sessions
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                sale_id: 12
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: oenologie
        - name: id
          in: path
          schema:
            type: integer
          required: true
          example: '9'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    delete:
      tags:
        - Session de scan
      summary: Delete scan session
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: comedmus
        - name: id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /api/market/{asso}/memberships/{id}/members:
    post:
      tags:
        - Listes d'adhesion > Emails in memberships
      summary: Add email
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                email: test@assos.com
                start_date: '2024-05-01'
                end_date: null
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: simde
        - name: id
          in: path
          schema:
            type: integer
          required: true
          example: '3'
      responses:
        '201':
          description: Created
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Sat, 16 Mar 2024 18:52:40 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14999'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                user_email: test@assos.com
                start_date: '2024-05-01T00:00:00.000000Z'
                end_date: null
                membership_id: 3
                updated_at: '2024-03-16T18:52:40.000000Z'
                created_at: '2024-03-16T18:52:40.000000Z'
                id: 1
  /api/market/{asso}/memberships/{id}/members/{row_id}:
    delete:
      tags:
        - Listes d'adhesion > Emails in memberships
      summary: Remove email
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: simde
        - name: id
          in: path
          schema:
            type: integer
          required: true
          example: '3'
        - name: row_id
          in: path
          schema:
            type: integer
          required: true
          example: '1'
      responses:
        '204':
          description: No Content
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Sat, 16 Mar 2024 18:53:01 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            text/plain:
              schema:
                type: string
              example: null
  /api/market/{asso}/memberships:
    get:
      tags:
        - Listes d'adhesion
      summary: List memberships
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: simde
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Sat, 16 Mar 2024 18:35:56 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14997'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                - id: 2
                  name: Cotisations tests
                  description: Test pour les cotisations
                  price: '0.00'
                  market_id: 3
                  created_at: '2024-03-16T18:35:37.000000Z'
                  updated_at: '2024-03-16T18:35:37.000000Z'
    post:
      tags:
        - Listes d'adhesion
      summary: Create memberships
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: Cotisations tests
                description: Test pour les cotisations
                price: 0
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: simde
      responses:
        '201':
          description: Created
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Sat, 16 Mar 2024 18:35:38 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                name: Cotisations tests
                description: Test pour les cotisations
                price: 0
                market_id: 3
                updated_at: '2024-03-16T18:35:37.000000Z'
                created_at: '2024-03-16T18:35:37.000000Z'
                id: 2
                market:
                  id: 3
                  name: SiMDE
                  slug: simde
                  short_description: >-
                    Le SiMDE est l'association d'informatique qui est au service
                    du BDE, des pôles et de l'ensemble des associations de la
                    fédération associative de l'UTC...
                  email: simde@assos.utc.fr
                  active: 0
  /api/market/{asso}/memberships/{id}:
    get:
      tags:
        - Listes d'adhesion
      summary: Get memberships and emails in
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: simde
        - name: id
          in: path
          schema:
            type: integer
          required: true
          example: '3'
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Sat, 16 Mar 2024 18:55:19 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14997'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                id: 3
                name: Cotisations tests
                description: Test pour les cotisations
                price: '0.00'
                market_id: 3
                created_at: '2024-03-16T18:38:50.000000Z'
                updated_at: '2024-03-16T18:38:50.000000Z'
                emails:
                  - id: 2
                    user_email: test@assos.com
                    start_date: '2024-05-01T00:00:00.000000Z'
                    end_date: null
    patch:
      tags:
        - Listes d'adhesion
      summary: Patch scan sessions
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: Cotisation autres
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: simde
        - name: id
          in: path
          schema:
            type: integer
          required: true
          example: '2'
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Sat, 16 Mar 2024 18:36:54 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14998'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                id: 2
                name: Cotisation autres
                description: Test pour les cotisations
                price: '0.00'
                market_id: 3
                created_at: '2024-03-16T18:35:37.000000Z'
                updated_at: '2024-03-16T18:36:54.000000Z'
    delete:
      tags:
        - Listes d'adhesion
      summary: Delete scan session
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
          example: simde
        - name: id
          in: path
          schema:
            type: integer
          required: true
          example: '2'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /api/market/{asso}/payment-methods:
    get:
      tags:
        - Moyen de paiement
      summary: Payment methods
      parameters:
        - name: asso
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /api/market/{slug}/overview:
    get:
      tags:
        - General
      summary: Get market overview
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: comedmus
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:27:24 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14999'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                ordered_items: []
                last_items: []
                month_stats:
                  - title: Total ce mois-ci
                    amount: 0
                    symbol: €
                    evolution: null
                  - title: Prix moyen ce mois-ci
                    amount: null
                    symbol: €
                    evolution: null
                  - title: Nombre de ventes ce mois-ci
                    amount: 0
                    symbol: null
                    evolution: null
  /api/market/{slug}/configuration:
    get:
      tags:
        - General
      summary: Get configuration
      parameters:
        - name: slug
          in: path
          schema:
            type: string
          required: true
          example: comedmus
      responses:
        '200':
          description: OK
          headers:
            Host:
              schema:
                type: string
                example: localhost:8000
            Date:
              schema:
                type: string
                example: Tue, 21 Nov 2023 22:27:24 GMT
            Connection:
              schema:
                type: string
                example: close
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.2.10-2ubuntu1
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Content-Type:
              schema:
                type: string
                example: application/json
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '15000'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '14999'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
          content:
            application/json:
              schema:
                type: object
              example:
                ordered_items: []
                last_items: []
                month_stats:
                  - title: Total ce mois-ci
                    amount: 0
                    symbol: €
                    evolution: null
                  - title: Prix moyen ce mois-ci
                    amount: null
                    symbol: €
                    evolution: null
                  - title: Nombre de ventes ce mois-ci
                    amount: 0
                    symbol: null
                    evolution: null
components: {}
